Share

We’re very pleased to announce that with today’s release of version 4.4.1 of the All Bundle, all 73 plugins in the Alliance stable are now fully Sierra compatible, supporting Mac OS versions 10.8 through 10.12. All current versions* of every product have been updated; whether you download directly from our product pages, or use our new Installation Manager application, you can grab your Sierra compatible versions now. 

In addition to the Sierra fix, there are numerous bug fixes and enhancements for both Mac and Windows, so be sure to update to take full advantage of these changes. Please note that, as of version 4.4.1, Plugin Alliance products are no longer supported on OS X versions 10.7 and below. 

We have received many requests for Sierra compatibility, and our development team has been working tirelessly to deliver it, so we’re extremely happy to be able to share this good news with you just as our Xmas sale is going into high gear. Thank you so much for being patient with us while we worked on this release, and for your continued support of Plugin Alliance.

Happy Holidays!

The Plugin Alliance Team

Comments

Sign in to your Facebook Account to share your thoughts.